add require for dummynets in the onelab build + minor issue
Thierry Parmentelat [Tue, 2 Sep 2008 13:02:44 +0000 (13:02 +0000)]
myplc-native.spec

index 56dce61..c69b272 100644 (file)
@@ -72,6 +72,11 @@ Requires: PLCAPI
 Requires: bootstrapfs-%{pldistro}-%{_arch}
 Requires: myplc-docs
 
+# argh - ugly - we might wish to use something from build/config.%{pldistro} instead
+%if "%{pldistro}" == "onelab"
+Requires: dummynet_image
+%endif
+
 Provides: myplc
 
 %define debug_package %{nil}
@@ -108,7 +113,7 @@ if [ -n "$SUDO_USER" ] ; then
     # /usr/bin/sudo get created with non-readable permissions.
     find . -not -perm +0600 -exec chmod u+rw {} \;
     # Allow user to delete the built RPM(s)
-    [ -d %{_rpmdir}/%{_arch} ] && chown -h -R $SUDO_USER %{_rpmdir}/%{_arch}
+    [ -d %{_rpmdir}/noarch ] && chown -h -R $SUDO_USER %{_rpmdir}/noarch
 fi
 
 %pre